<?xml version="1.0"?>
<doc>
  <assembly>
    <name>Morpher</name>
  </assembly>
  <members>
    <member name="T:Slepov.Russian.Morpher.Склонятель">
      <summary>
            Класс для автоматического склонения словосочетаний.
            </summary>
      <remarks>
            Основной метод - <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />.
            </remarks>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.Согласовать(System.UInt32,System.String)">
      <summary>
            Согласовать единицу измерения с числом.
            </summary>
      <param name="n"> Число. </param>
      <param name="s"> Единица измерения на русском языке. </param>
      <returns> Единицу измерения в падеже, требующемся после данного числа. </returns>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.#ctor">
      <summary>
            Инициализирует Склонятель.  
            Занимает около 200 миллисекунд на процессоре Intel T5300.
            </summary>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])">
      <summary>
            Анализирует данное <paramref name="словосочетание" /> 
            для последующего получения его падежных форм.
            </summary>
      <param name="словосочетание">
            Словосочетание для анализа, например "Иванов Иван", 
            "инженер-программист".
            </param>
      <param name="признаки">
            Дополнительные признаки входного словосочетания, служащие для 
            разрешения неоднозначностей естественного языка.
            </param>
      <returns>
            Возвращает null, если исходное <paramref name="словосочетание" /> 
            не содержит русских слов.
            </returns>
      <exception cref="T:System.ArgumentException">
            Если указаны взаимоисключающие признаки (ФИО + Нарицательное или 
            МужскойРод + ЖенскийРод).
            </exception>
    </member>
    <member name="M:Slepov.Russian.Morpher.Склонятель.ОпираетсяНаЧислительное(System.String)">
      <summary>
            Возвращает true, если данное <paramref name="словосочетание" /> 
            имеет в качестве опорного слова числительное и, следовательно, 
            не может правильно склоняться Склонятелем.
            </summary>
    </member>
    <member name="T:Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения">
      <summary>
            Представляет единицу измерения (например, метр, рубль)
            и содержит всю необходимую информацию для согласования
            этой единицы с числом, а именно - три падежно-числовых формы
            и грамматический род / число.
            </summary>
    </member>
    <member name="P:Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения.ИменЕдин">
      <summary>
            Форма именительного падежа единственного числа.
            Согласуется с числительным "один":
            одна тысяча, один миллион, один рубль, одни сутки и т.д.
            </summary>
    </member>
    <member name="P:Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения.РодЕдин">
      <summary>
            Форма родительного падежа единственного числа.
            Согласуется с числительными "один, два, три, четыре":
            две тысячи, два миллиона, два рубля, двое суток и т.д.
            </summary>
    </member>
    <member name="P:Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения.РодМнож">
      <summary>
            Форма родительного падежа множественного числа.
            Согласуется с числительным "ноль, пять, шесть, семь" и др:
            пять тысяч, пять миллионов, пять рублей, пять суток и т.д.
            </summary>
    </member>
    <member name="P:Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения.РодЧисло">
      <summary>
            Род и число единицы измерения.
            </summary>
    </member>
    <member name="T:Slepov.Russian.Morpher.IСклоняемое">
      <summary>
            Представляет словосочетание, проанализированное методом
            <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />.
            </summary>
      <remarks>
            Содержит свойства, возвращающие соответствующие падежные формы 
            проанализированного словосочетания.
            </remarks>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Множественное">
      <summary>
            Набор форм множественного числа или null, если мн.ч. нет (еда, борьба) или это склоняемое уже во множественном числе.
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Именительный">
      <summary>
            Форма именительного падежа (кто, что?). 
            </summary>
      <remarks>
            Cовпадает со строкой, переданной методу 
            <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />.
            </remarks>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Родительный">
      <summary>
            Форма родительного падежа (кого, чего?).  Может быть null.
            </summary>
      <remarks>
            Возвращает null, если хотя бы одно слово этого словосочетания
            не может быть поставлено в заданную форму (например, род. от "мзды").
            </remarks>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Дательный">
      <summary>
            Форма дательного падежа (кому, чему?).
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Винительный">
      <summary>
            Форма винительного падежа (кого, что?).
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Творительный">
      <summary>
            Форма творительного падежа (кем, чем?).
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Предложный">
      <summary>
            Форма предложного падежа (о ком, о чём?) с предлогом о/об/обо.
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.ПредложныйБезПредлога">
      <summary>
            Форма предложного падежа (о ком, о чём?) без предлога.
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.Местный">
      <summary>
            Форма, отвечающая на вопрос "где?" с предлогом в, во или на.
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.РодЧисло">
      <summary>
            Автоматически определённые род и число словосочетания.
            Для слов типа "брюки, ножницы" и т.п. возвращается множественное число.
            </summary>
    </member>
    <member name="P:Slepov.Russian.Morpher.IСклоняемое.ЯвляетсяФИО">
      <summary>
            Возвращает true, если программа распознала входное словосочетание как ФИО.
            </summary>
    </member>
    <member name="T:Slepov.Russian.Morpher.Признак">
      <summary>
            Сообщает методу <see cref="M:Slepov.Russian.Morpher.Склонятель.Проанализировать(System.String,Slepov.Russian.Morpher.Признак[])" />
            дополнительную информацию о входном словосочетании.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.ФИО">
      <summary>
            Словосочетание состоит из одного только ФИО.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.Нарицательное">
      <summary>
            Склоняемая часть словосочетания - имя нарицательное.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.МужскойРод">
      <summary>
            Словосочетание мужского рода.
            </summary>
    </member>
    <member name="F:Slepov.Russian.Morpher.Признак.ЖенскийРод">
      <summary>
            Словосочетание женского рода.
            </summary>
    </member>
    <member name="T:Slepov.Russian.СуммаПрописью.Сумма">
      <summary>
            Класс для записи денежных сумм прописью: "тысяча рублей 00 копеек".
            </summary>
      <example>
            Сумма.Пропись (100, Валюта.Рубли); // "сто рублей 00 копеек"
            Валюта.Рубли.Пропись (123.45); // "сто двадцать три рубля 45 копеек"
            </example>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Сумма.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.Валюта,System.Text.StringBuilder)">
      <summary>
            Записывает пропись суммы в заданной валюте в <paramref name="result" /> строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Сумма.Пропись(System.Double,Slepov.Russian.СуммаПрописью.Валюта,System.Text.StringBuilder)">
      <summary>
            Записывает пропись суммы в заданной валюте в <paramref name="result" /> строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Сумма.ПроверитьСумму(System.Decimal)">
      <summary>
            Проверяет, подходит ли число для передачи методу 
            <see cref="M:Slepov.Russian.СуммаПрописью.Сумма.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.Валюта)" />.
            </summary>
      <remarks>
            Сумма должна быть неотрицательной и должна содержать 
            не более двух цифр после запятой.
            </remarks>
      <returns>
            Описание нарушенного ограничения или null.
            </returns>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Сумма.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.Валюта)">
      <summary>
            Возвращает пропись заданной суммы строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Сумма.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.Валюта,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись заданной суммы.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Сумма.Пропись(System.Double,Slepov.Russian.СуммаПрописью.Валюта)">
      <summary>
            Возвращает пропись заданной суммы строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Сумма.Пропись(System.Double,Slepov.Russian.СуммаПрописью.Валюта,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись заданной суммы.
            </summary>
    </member>
    <member name="T:Slepov.Russian.СуммаПрописью.Число">
      <summary>
            Класс для преобразования чисел в пропись на русском языке.
            </summary>
      <example>
            Число.Пропись (1, РодЧисло.Мужской); // "один"
            Число.Пропись (2, РодЧисло.Женский); // "две"
            Число.Пропись (21, РодЧисло.Средний); // "двадцать одно"
            </example>
      <example>
            Число.Пропись (5, new ЕдиницаИзмерения (
             РодЧисло.Мужской, "метр", "метра", "метров"), sb); // "пять метров"
            </example>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Text.StringBuilder)">
      <summary>
            Получить пропись числа с согласованной единицей измерения.
            </summary>
      <param name="число"> Число должно быть целым, неотрицательным. </param>
      <param name="еи">
      </param>
      <param name="result"> Сюда записывается результат. </param>
      <returns>
        <paramref name="result" />
      </returns>
      <exception cref="T:System.ArgumentException">
            Если число меньше нуля или не целое. 
            </exception>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Double,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Text.StringBuilder)">
      <summary>
            Получить пропись числа с согласованной единицей измерения.
            </summary>
      <param name="число"> 
            Число должно быть целым, неотрицательным, не большим <see cref="P:Slepov.Russian.СуммаПрописью.Число.MaxDouble" />. 
            </param>
      <param name="еи">
      </param>
      <param name="result"> Сюда записывается результат. </param>
      <exception cref="T:System.ArgumentException">
            Если число меньше нуля, не целое или больше <see cref="P:Slepov.Russian.СуммаПрописью.Число.MaxDouble" />. 
            </exception>
      <returns>
        <paramref name="result" />
      </returns>
      <remarks>
            float по умолчанию преобразуется к double, поэтому нет перегрузки для float.
            В результате ошибок округления возможно расхождение цифр прописи и
            строки, выдаваемой double.ToString ("R"), начиная с 17 значащей цифры.
            </remarks>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.UInt64,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Text.StringBuilder)">
      <summary>
            Получить пропись числа с согласованной единицей измерения.
            </summary>
      <returns>
        <paramref name="result" />
      </returns>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.UInt32,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Text.StringBuilder)">
      <summary>
            Получить пропись числа с согласованной единицей измерения.
            </summary>
      <returns>
        <paramref name="result" />
      </returns>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.ПроверитьЧисло(System.Decimal)">
      <summary>
            Проверяет, подходит ли число для передачи методу 
            <see cref="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Text.StringBuilder)" />.
            </summary>
      <returns>
            Описание нарушенного ограничения или null.
            </returns>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.ПроверитьЧисло(System.Double)">
      <summary>
            Проверяет, подходит ли число для передачи методу 
            <see cref="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Double,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Text.StringBuilder)" />.
            </summary>
      <returns>
            Описание нарушенного ограничения или null.
            </returns>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Согласовать(Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.UInt32)">
      <summary>
            Согласовать название единицы измерения с числом.
            Например, согласование единицы (рубль, рубля, рублей) 
            с числом 23 даёт "рубля", а с числом 25 - "рублей".
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Согласовать(Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Decimal)">
      <summary>
            Согласовать название единицы измерения с числом.
            Например, согласование единицы (рубль, рубля, рублей) 
            с числом 23 даёт "рубля", а с числом 25 - "рублей".
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения)">
      <summary>
            Возвращает пропись числа строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись числа.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Double,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения)">
      <summary>
            Возвращает пропись числа строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Double,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись числа.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.UInt64,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения)">
      <summary>
            Возвращает пропись числа строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.UInt64,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись числа.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.UInt32,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения)">
      <summary>
            Возвращает пропись числа строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.UInt32,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись числа.
            </summary>
    </member>
    <member name="P:Slepov.Russian.СуммаПрописью.Число.MaxDouble">
      <summary>
            Максимальное число типа double, представимое в виде прописи.
            </summary>
      <remarks>
            Рассчитывается исходя из количества определённых классов.
            Если добавить ещё классы, оно будет автоматически увеличено.
            </remarks>
    </member>
    <member name="T:Slepov.Russian.СуммаПрописью.Заглавные">
      <summary>
            Стратегия расстановки заглавных букв.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Заглавные.Применить(System.Text.StringBuilder)">
      <summary>
            Применить стратегию к <paramref name="sb" />.
            </summary>
    </member>
    <member name="T:Slepov.Russian.СуммаПрописью.Валюта">
      <summary>
            Описывает тип валюты как совокупность двух единиц измерения - основной и дробной.
            Содержит несколько предопределённых валют - рубли, доллары, евро.
            </summary>
      <remarks>
            Предполагается, что основная единица равна 100 дробным. 
            </remarks>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Валюта.#ctor(Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения)">
      <summary>
      </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Валюта.Пропись(System.Decimal)">
      <summary>
            Возвращает пропись суммы строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Валюта.Пропись(System.Double)">
      <summary>
            Возвращает пропись суммы строчными буквами.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Валюта.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись суммы.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.Валюта.Пропись(System.Double,Slepov.Russian.СуммаПрописью.Заглавные)">
      <summary>
            Возвращает пропись суммы.
            </summary>
    </member>
    <member name="P:Slepov.Russian.СуммаПрописью.Валюта.ОсновнаяЕдиница">
      <summary>
            Основная единица измерения валюты - рубли, доллары, евро и т.д.
            </summary>
    </member>
    <member name="P:Slepov.Russian.СуммаПрописью.Валюта.ДробнаяЕдиница">
      <summary>
            Дробная единица измерения валюты - копейки, центы, евроценты и т.д.
            </summary>
    </member>
    <member name="T:Slepov.Russian.СуммаПрописью.ЕдиницаИзмерения">
      <summary>
            Класс, хранящий падежные формы единицы измерения в явном виде.
            </summary>
    </member>
    <member name="M:Slepov.Russian.СуммаПрописью.ЕдиницаИзмерения.#ctor(Slepov.Russian.СуммаПрописью.РодЧисло,System.String,System.String,System.String)">
      <summary>
      </summary>
    </member>
    <member name="T:Slepov.Russian.СуммаПрописью.РодЧисло">
      <summary>
            Указывает род и число.
            Может передаваться в качестве параметра "единица измерения" метода 
            <see cref="M:Slepov.Russian.СуммаПрописью.Число.Пропись(System.Decimal,Slepov.Russian.СуммаПрописью.IЕдиницаИзмерения,System.Text.StringBuilder)" />.
            Управляет родом и числом числительных один и два.
            </summary>
      <example>
            Число.Пропись (2, РодЧисло.Мужской); // "два"
            Число.Пропись (2, РодЧисло.Женский); // "две"
            Число.Пропись (21, РодЧисло.Средний); // "двадцать одно"
            </example>
    </member>
  </members>
</doc>